Nsamples_plot=200;

phib0=1;
phib=fzero(@phi_funct,phib0);
phivec = linspace(0,phib,Nsamples_plot);

x_brachistochrone = (2*phivec - sin(2*phivec))/(1-cos(2*phib));
y_brachistochrone = 1 - (1 - cos(2*phivec))/(1-cos(2*phib));

plot(xsamples,zguess,'k')       %initial guess
hold on
plot(xsamples,zout,'b')         %output slide
plot(x_brachistochrone,y_brachistochrone,'r--') % your slide
hold off


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
lw=2;
fs=20;

lineobj = findobj('type', 'Line');
set(lineobj,'LineWidth', lw);

patchobj = findobj('type', 'Patch');
set(patchobj,'LineWidth', lw);

textobj = findobj('type', 'axes');
set(textobj,'LineWidth', lw);
set(textobj, 'fontsize', fs);
set(textobj, 'FontName', 'Times');
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%  
